[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TSizeConstraints.SetInterfaceConstraints

Used by the LCL interface to set the widgetset constraints in the class instance.

## Declaration

Source position: controls.pp line 729

`public procedure TSizeConstraints.SetInterfaceConstraints(`
`MinW: Integer;`
`MinH: Integer;`
`MaxW: Integer;`
`MaxH: Integer`
`); virtual;`

## Arguments

`MinW` |  | Minimum width provided by the widgetset class instance.
`MinH` |  | Minimum height provided by the widgetset class instance.
`MaxW` |  | Maximum width provided by the widgetset class instance.
`MaxH` |  | Maximum height provided by the widgetset class instance.

## Description

Should only be used by custom components, not by applications.